CatalogueView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.shopkeeper
Class CatalogueView

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.shopkeeper.CatalogueView

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class CatalogueView

extends javax.servlet.http.HttpServlet

Este servlet se encarga de realizar las búsquedas sobre el catálogo de productos teniendo en cuenta los criterios especificados por el usuario en el buscador, asi como los criterios de paginación

Version:
Author:
  andres
See Also:
  Serialized Form

Constructor Summary
`CatalogueView()`

Method Summary
`void` | `destroy()` Destroys the servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `GET` method.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `POST` method.
`java.lang.String` | `getServletInfo()` Returns a short description of the servlet.
`void` | `init(javax.servlet.ServletConfig config)` Initializes the servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Carga la lista de productos que cumplen las restricciones dadas en el buscador y los criterios de paginación y envia solo los datos que se deben mostrar en el jsp.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogueView

    public CatalogueView()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initializes the servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroys the servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Carga la lista de productos que cumplen las restricciones dadas en el buscador y los criterios de paginación y envia solo los datos que se deben mostrar en el jsp.

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Handles the HTTP `GET` method.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Handles the HTTP `POST` method.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Returns a short description of the servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD